Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.advislets
Class CatalogQueryAdvisletImpl

    java.lang.Object
      com.bea.p13n.advisor.AbstractAdvislet
          com.beasys.commerce.ebusiness.catalog.advislets.CatalogQueryAdvisletImpl

All Implemented Interfaces:
  AdviceConstants, AdviceRequestConstants, Advislet, AdvisletChainElement, Serializable

public final class CatalogQueryAdvisletImpl
extends AbstractAdvislet
implements Serializable

This class is the implementation class for a CatalogQuery Advislet. This Advislet can issue queries against the Product Catalog and retrieve CatalogItems.

See Also:
  Serialized Form

Field Summary
`protected String` | `catalogManagerName`
`protected CatalogQuery` | `catalogQuery`
`protected int` | `viewSize`

Fields inherited from class com.bea.p13n.advisor.AbstractAdvislet
`advisletMetadata, advisor, parametersMap`

Fields inherited from interface com.bea.p13n.advisor.AdviceRequestConstants
`CATALOG_QUERY_WRAPPER, CONTENT_APPEND_QUERY_STRING, CONTENT_MANAGER, CONTENT_MANAGER_HOME, CONTENT_QUERY_CONTEXT_PARAMS, CONTENT_QUERY_MAX_ITEMS, CONTENT_QUERY_NODE, CONTENT_QUERY_SORT_BY, CONTENT_QUERY_STRING, CONTENT_SEARCH_PATHS, DATE, HTTP_REQUEST, HTTP_SESSION, NOW, RULES_FILTER_CLASS, RULES_FILTER_CLASS_NAME, RULES_INPUT_OBJECTS, RULES_RULENAME_TO_FIRE, RULES_RULESET_NAME, SHOPPING_CART, TIME, TIME_INSTANT, USER`

Fields inherited from interface com.bea.p13n.advisor.AdviceConstants
`RESULTS`

Constructor Summary
`CatalogQueryAdvisletImpl(Advisor advisor, Metadata metadata)`

Method Summary
`Advice` | `getAdvice(AdviceRequest adviceRequest)` This method makes recommendations based the AdviceRequest passed in.
`void` | `validateAdviceRequest(AdviceRequest adviceRequest)` Allows for custom AdviceRequest validation logic in addition to the required attribute checking performed by the Advisor.

Methods inherited from class com.bea.p13n.advisor.AbstractAdvislet
`getAdvisor, getMetadata, getRequiredAttributes, initialize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### catalogManagerName

    protected String catalogManagerName

### catalogQuery

    protected CatalogQuery catalogQuery

### viewSize

    protected int viewSize

Constructor Detail

### CatalogQueryAdvisletImpl

    public CatalogQueryAdvisletImpl(Advisor advisor,
                                    Metadata metadata)

Method Detail

### getAdvice

    public Advice getAdvice(AdviceRequest adviceRequest)
                     throws IllegalArgumentException,
                            AdvisorException

  This method makes recommendations based the AdviceRequest passed in.

  Specified by:
    `getAdvice` in interface `Advislet`
  Overrides:
    `getAdvice` in class `AbstractAdvislet`
  Parameters:
    `adviceRequest` - The AdviceRequest used to make a recommendation.
  Throws:
    `IllegalArgumentException`
    `AdvisorException`

### validateAdviceRequest

    public void validateAdviceRequest(AdviceRequest adviceRequest)
                               throws IllegalArgumentException

  Description copied from interface: `Advislet`
  Allows for custom AdviceRequest validation logic in addition to the required attribute checking performed by the Advisor.

  Specified by:
    `validateAdviceRequest` in interface `Advislet`
  Overrides:
    `validateAdviceRequest` in class `AbstractAdvislet`
  Throws:
    `IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved